=head1 NAME

Goo::Canvas::PathModel - wrapper for GooCanvasPathModel

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemModelSimple
       +----Goo::Canvas::PathModel



=cut

=head1 INTERFACES

  Goo::Canvas::ItemModel



=cut


=head1 METHODS

=head2 itemmodel = Goo::Canvas::PathModel-E<gt>B<new> ($parent, $path_data, ...)

=over

=item * $parent (Goo::Canvas::ItemModel) 

=item * $path_data (string) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'data' (string : default undef : writable)

The sequence of path commands

=item 'height' (double : default 0 : readable / writable)

The height of the path

=item 'width' (double : default 0 : readable / writable)

The width of the path

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the path

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the path

=back



=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemModelSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2017 Gtk2-Perl Team




=cut

